<?
/*
=============================================
 Движок:  SHCMS Engine
=============================================
 Official website: http://shcms.ru
=============================================
 Данный код защищен авторскими правами
=============================================
*/

      /*
	  -----------------------------------------
	  Обработка ссылки
	  -----------------------------------------
	  */
	function link_list($link_linkes){
		global $shcms_engine ;
	   return '<a href="'.$link_linkes[1].'">'.$link_linkes[2].'</a>';
	}

      /*
      -----------------------------------------
      Обработка Спойлера 
      -----------------------------------------
      */
	function link_spoiler($link_spoiler){
	    global $shcms_engine ;
         return '<div class="spoiler"><b>
	             <a href="#" onclick="show_hide(\'#'.$link_spoiler[1].'\');">'.$link_spoiler[1].'</a></b>
	             <div id="'.$link_spoiler[1].'" style="display: none; overflow: hidden; vertical-align: top;">'.$link_spoiler[2].'
	             </div></div>';
	}

	
      /*
      -----------------------------------------
      Подвеска PHP кода
      -----------------------------------------
      */
	function printCode($code) { 
		$code = strtr($code,array('&#124;'=>'|',   '&lt;'=>'<',    '&gt;'=>'>',    '&amp;'=>'&',
                           			'&#36;'=>'$',   '&quot;'=>'"',  '&#39;'=>"'",   '&#92;'=>'`',
						   			'&#37;'=>'%',   '&#94;'=>'^',   '&#58;'=>':',   '<br />'=>"\r\n")
					); 
    if(!strpos($code,'<?') && substr($code,0,2)!='<?'){
        $code="<?php\r\n".trim($code).'?>';
    }   
        $code = highlight_string($code, true); 
        $code = strtr($code,array("\r\n"=>'<br />','|'=>'&#124;',   '$'=>'&#36;',
	                            "'"=>'&#39;',    '`'=>'&#92;',    '%'=>'&#37;',
								'^'=>'&#94;',    ':'=>'&#58;')
								); 
        $code = $code; 
     return $code; 
	}
	
	
	
      /*
      -----------------------------------------
      Скрывает текст от неавторизованных
      -----------------------------------------
      */
	function hidden_text($link_hide)
    {
      global $user_id;
        if(isset($user_id)){
    		$link_hide = '<div class="hide"><b>Скрытый текст </b><br/> '.$link_hide.'</div>';
		}else {
			$link_hide = '<div class="hide"><b>Скрытый текст</b> <br/>Для отображения текста необходимо пройти авторизацию на сайте.</div>';} 
      return $link_hide;
	}
      /*
      -----------------------------------------
      Обработка тэгов 
      -----------------------------------------
      */
    function bb_codes($message = '') 
	{
		$message = preg_replace('#\[small\](.*?)\[/small\]#si', '<div style="font-size: smaller;">\1</div>', $message);
		$message = preg_replace(array ('#\[php\](.*?)\[\/php\]#se'), array ("''.printCode('$1').''"), str_replace("]\n", "]",   $message));
    	$message=  preg_replace_callback('/\[url=(.+)\](.+)\[\/url\]/isU', 'link_list', $message); 
		$message=  preg_replace_callback('/\[spoiler=(.+)\](.+)\[\/spoiler\]/isU', 'link_spoiler', $message); 
    	$message = preg_replace('#\[img\](.*?)\[/img\]#si', '<img src="\1"/>', $message);
    	$message = preg_replace('#\[post\](.*?)\[/post\]#si', '<div class="posts">\1</div>', $message);
		$message = preg_replace('#\[fontred\](.*?)\[/fontred\]#si', '<font color="red">\1</font>', $message);
    	$message = preg_replace('#\[hide\](.*?)\[/hide\]#ie', 'hidden_text("\1")', $message);
      return $message;
	}

	  /*
      -----------------------------------------
      Перенос сторок текста
      -----------------------------------------
      */
function br_per($message,$br='<br />')
	{
	return eregi_replace("((<br( ?/?)>)|\n|\r)+",$br, $message);
	}
	
	
	
	
	
?>